<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
if($negocio_neg_id=='1') 
{
    $ord_id=$_POST['ord_id'];
    $ord_tipo_equipo=mb_strtoupper(limpiar($_POST['ord_tipo_equipo']));
    $ord_marca=mb_strtoupper(limpiar($_POST['ord_marca']));
    $ord_modelo=mb_strtoupper(limpiar($_POST['ord_modelo']));
    $ord_num_serie=mb_strtoupper(limpiar($_POST['ord_num_serie']));
    $ord_accesorios=mb_strtoupper(limpiar($_POST['ord_accesorios']));
    $ord_falla=mb_strtoupper(limpiar($_POST['ord_falla']));
    $ord_observaciones=mb_strtoupper(limpiar($_POST['ord_observaciones']));
    $ord_informe=mb_strtoupper(limpiar($_POST['ord_informe']));
    $ord_estado=ucfirst(limpiar($_POST['ord_estado']));
    $sql=mysqli_query($con,"UPDATE orden_servicios Set
                            ord_tipo_equipo='$ord_tipo_equipo',
                            ord_marca='$ord_marca',                   
                            ord_modelo='$ord_modelo',
                            ord_num_serie='$ord_num_serie',
                            ord_accesorios='$ord_accesorios',
                            ord_falla='$ord_falla',
                            ord_observaciones='$ord_observaciones',
                            ord_informe='$ord_informe',
                            ord_estado='$ord_estado'
                            Where ord_id='$ord_id' and empresa='$empresa'") or die(mysqli_error($con)); 

    $Raiz = "../img/img_ordenes/";
    // Cambia el valor cargado por el real
    $ord_id = $ord_id;
    // Si hay algún archivo que subir
    if (isset($_FILES["archivo"]) && ($_FILES["archivo"]["name"][0])) 
    {
        // Si es un formato de imagen válido
        $nombresArchivos = $_FILES["archivo"]["name"];
        $tiposArchivos = $_FILES["archivo"]["type"];
        // Movemos y renombramos cada archivo individualmente
        foreach ($nombresArchivos as $index => $nombreArchivo) 
        {
            $origen = $_FILES["archivo"]["tmp_name"][$index];
            // Validamos el tipo de archivo utilizando exif_imagetype()
            if (exif_imagetype($origen)) 
            {
                // Si existe la carpeta o se ha creado
                if (file_exists($Raiz . $ord_id) || mkdir($Raiz . $ord_id, 0777, true)) 
                {
                    // Generamos un nombre único para el archivo
                    $tipoArchivo = pathinfo($nombreArchivo, PATHINFO_EXTENSION);
                    $nuevoNombre = $index . '.' . $tipoArchivo;
                    $urlNueva = $Raiz . $ord_id . DIRECTORY_SEPARATOR . $nuevoNombre;
                    $destino = $urlNueva;
                    // Movemos el archivo y lo renombramos
                    if (move_uploaded_file($origen, $destino)) 
                    {
                    }
                    else 
                    {
                        echo'<div class="alert alert-warning alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>No se ha podido mover el archivo: "'. $nombreArchivo.'</strong> 
                        </div>';
                    }
                } 
                else 
                {
                    echo'<div class="alert alert-warning alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>No se ha podido crear la carpeta: "' . $ord_id.'</strong> 
                    </div>';
                }
            } 
            else 
            {
                echo'<div class="alert alert-warning alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>'. $nombreArchivo .'- NO es una imagen válida (jpg, png, gif)</strong> 
                </div>';
            }
        }
       
    } 
    
}
else
{
    $ord_id=$_POST['ord_id'];
    $ord_diseno=mb_strtoupper(limpiar($_POST['ord_diseno']));
    $ord_gramos=mb_strtoupper(limpiar($_POST['ord_gramos']));
    $ord_talla=mb_strtoupper(limpiar($_POST['ord_talla']));
    $ord_observaciones=mb_strtoupper(limpiar($_POST['ord_observaciones']));
    $ord_estado=ucfirst(limpiar($_POST['ord_estado']));
    $sql=mysqli_query($con,"UPDATE orden_servicios Set
                            ord_diseno='$ord_diseno',
                            ord_gramos='$ord_gramos',
                            ord_talla='$ord_talla',
                            ord_observaciones='$ord_observaciones',
                            ord_estado='$ord_estado'
                            Where ord_id='$ord_id' and empresa='$empresa'") or die(mysqli_error($con));
}    
    
    echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Modificado </strong> correctamente.
    </div>';

?>